- name: Cleanup
  gather_facts: yes
  hosts: molecule-toolchain
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: ../../../../import_vars.yml

    - block:
      - name: Kubectl destroy Prometheus k8s definition
        community.kubernetes.k8s:
          state: absent
          resource_definition: "{{ prometheus_k8s }}"
        environment:
          KUBECONFIG: "{{ remote_kubeconfig_path }}"

      - name: Destroy Xand Directory
        file:
          path: "{{ remote_save_dir }}/prometheus"
          state: absent

      - name: Destroy Prometheus Config Template
        file:
          path: "/tmp/prometheus_config.yaml.template"
          state: absent
        delegate_to: localhost

      - name: Destroy Envoy Config Template
        file:
          path: "/tmp/prometheus_envoy_config.yaml.template"
          state: absent
        delegate_to: localhost
      when: prometheus_k8s is defined
